%global srcname xmpp
# Erlang packages do not provide debug subpackages
%global debug_package %{nil}


Name:       erlang-%{srcname}
Version:    1.1.6
Release:    2%{?dist}
Summary:    Erlang/Elixir XMPP parsing and serialization library

License:    ASL 2.0
URL:        https://github.com/processone/xmpp/
Source0:    https://github.com/processone/xmpp/archive/%{version}.tar.gz
# https://github.com/processone/xmpp/pull/3
Patch0:     0001-Allow-fxml.hrl-to-be-found-from-system-libs.patch

BuildRequires: erlang-fast_xml >= 1.1.19
BuildRequires: erlang-rebar
BuildRequires: erlang-stringprep >= 1.0.7


%description
XMPP is an Erlang XMPP parsing and serialization library, built on top of Fast
XML.


%prep
%setup -q -n %{srcname}-%{version}

%patch0 -p0


%build
%{rebar_compile}


%install
%{erlang_install}


%check
%{rebar_eunit}


%files
%license LICENSE.txt
%doc CHANGELOG.md
%doc README.md
%{erlang_appdir}


%changelog
* Mon Feb 13 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.6-2
- Re-enable the tests. It turns out the failure was local to my build environment.

* Sun Feb 12 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.6-1
- Update to 1.1.6 (#1412107).
- https://github.com/processone/xmpp/blob/1.1.6/CHANGELOG.md
- Disable tests due to same issue as https://github.com/processone/fast_xml/issues/21

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Dec 30 2016 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.4-1
- Initial release (#1409326).
